* {
    box-sizing: border-box;
    margin: 0;
}

body {
    background-color:#e9f3ff;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 100vh;
}

header {
    background-color: #3E5879;
    color: white;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.izbornik {
    display: flex;
    justify-content: center;
    gap: 15px;
    background-color: #3E5879; 
    padding: 10px; 
    border-radius: 10px; 
}

.izbornik a {
    text-decoration: none;
    color: white; 
    font-size: 16px; 
    padding: 10px; 
    border-radius: 5px;
    background-color: #576f92; 
}

.izbornik a:hover {
    background-color: #7289ab; 
    transform: scale(1.1); 
}

.izbornik a:active {
    background-color: #2b3e57; 
    transform: scale(0.95);
}

main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;
}
.sadrzaj {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    padding: 10px;
    width: 100%;
    margin: auto;
    text-align: center;
}
.odgovori {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    text-align: justify;
    gap: 20px;
    justify-content: center;
}
.box{
    background-color: white;
    padding: 15px;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    line-height: 1.6;
    flex-basis: 200px; 
    flex-grow: 1;
    width: 100%;
}
.box:hover{
    transform: scale(1.1);
}
footer {
    background-color: #3E5879;
    color: white;
    padding: 10px;
    display: flex;
    justify-content: space-around;
    font-size: larger;
}
@keyframes changeColor {
    0% {
        background-color: #FF0000;
    }
    50% {
        background-color: #00FF00;
    }
    100% {
        background-color: #0000FF;
    }
}
.animacija-box {
    border-radius: 10px;
    width: 200px;
    height: 200px;
    margin: 20px;
    background-color: #FF0000;
    animation-name: changeColor;
    animation-duration: 3s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}
